#!/usr/bin/env python

""" hello - Hello World example for slagroom.

    Well, more like a complete demonstration of common usage.
"""

import slagroom
from iface import HelloPlugin, HelloAPI, HelloExtPt

class HelloApp(object):
    def __init__(self):
        self._pluginManager = slagroom.PluginManager(
            api=HelloAPI(),
            plugin_type=HelloPlugin,
            plugin_dirs=['plugins'])
    
    def go(self):
        self._pluginManager.findPlugins()
        self._pluginManager.loadAll()
        for ecls in HelloExtPt.extensions:
            ext = ecls()
            ext.sayHi()
        self._pluginManager.unloadAll()
        

if __name__ == '__main__':
    app = HelloApp()
    app.go()
