#!/usr/bin/env python

import slagroom
import iface

class TestExt1(iface.TestExtPoint):
    @classmethod
    def num(cls):
        return 1

class TestExt2(iface.TestExtPoint):
    @staticmethod
    def num():
        return 2
    
class HiddenExt(iface.HiddenExtPoint):
    @classmethod
    def num(cls):
        return 42

class TestPlugin(slagroom.Plugin):
    name = 'Test Plugin'
    description = 'A test plugin'
    author = 'Patrick Dawson <pkdawson@gmail.com>'
    version = '1.0'
    
    def load(self, api):
        api.notifyLoaded(self)
        TestExt1.activate()
        TestExt2.activate()
        HiddenExt.activate()
    def unload(self, api):
        api.notifyUnloaded(self)
        TestExt1.deactivate()
        TestExt2.deactivate()
        HiddenExt.deactivate()
        

class CoolPlugin1(iface.CustomPluginType1):
    name = 'Cool Plugin 1'

class CoolPlugin2(iface.CustomPluginType2):
    name = 'Cool Plugin 2'
